Contents
Index 🔎︎

# TypeName Function; VarType Function

Diraa(TypeName) ykn gatii lakkoofsaa(VarType) kan odeeffannoo jijjiiramaa qabu deebisa.

### Syntax:

    TypeName (Variable) / VarType (Variable)

### Return value:

Diraa;Itergaa

### Parameters:

Jijjiiramaa:Jijjiiramaa akaakuu isaa murteessuuf barbaaddu dha. Gatiiwwan armaan gadiitti fayyadamuu ni dandeessa:

keyword | Named constant | VarType | Akaakuu jijjiiramaa
Boolean |  | 11 | Jijjiiramaa Boolean
Byte |  | 17 | Byte variable
Date | V_DATE | 7 | Jijjiiramaa guyyaa
Currency | V_CURRENCY | 6 | Currency variable
Double | V_DOUBLE | 5 | Jijjiiramaa qabxii bololi'aa lamee
Integer | V_INTEGER | 2 | Jijjiiramaa itergaa
Long | V_LONG | 3 | Jijjiiramaa itergaa dheeraa
Object |  | 9 | Jijjiiramaa wantaa
Single | V_SINGLE | 4 | Jijjiiramaa tuqaa-bololi'aa qeenxee
String | V_STRING | 8 | Jijjiirama diraa
Variant |  | 12 | Jijjiiramaa jijjiiramu(akaakuuwwan hiikaan ibsaman hunda qabaachuu danda'a)
Empty | V_EMPTY | 0 | Jijjiiramaan hin jalqabsiifamne
Null | V_NULL | 1 | Deetaa sirriin hin jiru

### Error codes:

5 Ejjatoo fashalaan waamu

### Example:

    Sub ExampleType
    Dim iVar As Integer
    Dim sVar As String
    Dim siVar As Single
    Dim dVar As Double
    Dim bVar As Boolean
    Dim lVar As Long
    Dim cVar as Currency
    Dim tVar as Date
     MsgBox TypeName(iVar) & " " & VarType(iVar) & Chr(13) &_
     TypeName(sVar) & " " & VarType(sVar) & Chr(13) &_
     TypeName(siVar) & " " & VarType(siVar) & Chr(13) &_
     TypeName(dVar) & " " & VarType(dVar) & Chr(13) &_
     TypeName(bVar) & " " & VarType(bVar) & Chr(13) &_
     TypeName(cVar) & " " & VarType(cVar) & Chr(13) &_
     TypeName(tVar) & " " & VarType(tVar) & Chr(13) &_
     TypeName(lVar) & " " & VarType(lVar),0,"Some types in LibreOffice Basic"
    End Sub